import { Connection, TokenServer, TokenServerOptions } from 'token-server/build';
export declare type CommandImplementation = (payload: any, connection: Connection) => Promise<any>;
export declare class CommandServer extends TokenServer {
    private commands;
    constructor(options: TokenServerOptions);
    /**
     * Define a command that can be executed from the client.
     * @param command The command number. (number from 0-254)
     * @param fn The command implementation.
     * Must return a promise.
     * The return value will be sent back to the client.
     */
    command(command: number, fn: CommandImplementation): void;
    private initEvents();
    /**
     * Runs a command and writes the response / error to the connection.
     * If an error occurs during the serialisation of the error, the returned promise will be rejected.
     */
    private runCommand(id, command, payload, connection);
}
