import { QueueItem } from './QueueItem';
export declare class Queue<T> {
    private items;
    /**
     * Adds an item to the queue.
     * @param item The value of the item.
     * @param expiresIn The time until the item expires in milliseconds.
     */
    add(item: T, expiresIn: number): void;
    /**
     * Returns true if the queue contains no items.
     */
    readonly isEmpty: boolean;
    /**
     * Returns the oldest item of the queue.
     * Returns null if the queue is empty.
     */
    pop(): QueueItem<T> | null;
}
