/// <reference types="node" />
import { TokenClient, TokenClientOptions } from 'token-server';
/**
 * A client that stores tokens in a queue if they can not be sent immediately.
 * When the client reconnects, the items will be sent.
 */
export declare class QueueClient extends TokenClient {
    private queue;
    constructor(options: TokenClientOptions);
    /**
     * Tries to send a token.
     * If not connected it waits until the connection is established and then sends the token.
     * @param token The token that should be sent.
     * @param expiresIn The time until the token expires in milliseconds.
     */
    sendToken(token: Buffer, expiresIn: number): void;
    private applyEvents();
}
