export declare class QueueItem<T> {
    value: T;
    private expireTime;
    constructor(value: T, expiresIn: number);
    /**
     * The time until the item expires in milliseconds.
     * Is null if the item does not expire.
     */
    readonly expiresIn: number;
    /**
     * Is true if the item is expired.
     */
    readonly isExpired: boolean;
}
